import { CustomModel } from './../common/CustomModel';
import { LotteryData } from './../../data/common/lottery/LotteryData';
import { DataManager } from './../../manager/DataManager';
import { IExposureData } from '../../data/common/IExposureData';
// import { IExposureData } from '../../data/common/IExposureData';

export class CustomWinModel extends CustomModel {
    /**
     * 奖品数据
     */
    protected get lottery(): LotteryData {
        return DataManager.ins.getCustomOrderStatusData.lottery;
    }

    /**
     * 埋点数据
     */
    protected get exposure(): IExposureData {
        return DataManager.ins.getCustomOrderStatusData.exposure;
    }
}